Skip to content

Create 'Space notation category'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
namestring, <= 255 characters(Name)required
space_typesArray of strings, unique(Space types)required

Additional Validation Information:

Enum Descriptions:

  • objects.apartment - Apartment

  • objects.brfapartment - BRF apartment

  • objects.commonarea - Common area

  • objects.industrialpremises - Industrial premises

  • objects.outdoorsection - Outdoor section

  • objects.parkingspot - Parking spot

Items Enum:"objects.apartment""objects.industrialpremises""objects.parkingspot""objects.outdoorsection""objects.commonarea""objects.brfapartment"
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters(Custom ID)
descriptionstring or null(Description)
POST
/objects/spaces/notations/spacenotationcategory/
curl -i -X POST \
  https://dev.api.pigello.io/objects/spaces/notations/spacenotationcategory/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "name": "string",
    "description": "string",
    "space_types": "objects.apartment"
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 characters(Name)required
space_typesArray of strings, unique(Space types)required

Additional Validation Information:

Enum Descriptions:

  • objects.apartment - Apartment

  • objects.brfapartment - BRF apartment

  • objects.commonarea - Common area

  • objects.industrialpremises - Industrial premises

  • objects.outdoorsection - Outdoor section

  • objects.parkingspot - Parking spot

Items Enum:"objects.apartment""objects.industrialpremises""objects.parkingspot""objects.outdoorsection""objects.commonarea""objects.brfapartment"
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters(Custom ID)
created_atstring, (date-time)(Created at)read-only
descriptionstring or null(Description)
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "space_types": "objects.apartment" }